import request from '@/utils/request'

// 查询考核类型列表
export function listType(query) {
  return request({
    url: '/kaohe/type/list',
    method: 'get',
    params: query
  })
}

// 查询考核类型详细
export function getType(id) {
  return request({
    url: '/kaohe/type/' + id,
    method: 'get'
  })
}

// 新增考核类型
export function addType(data) {
  return request({
    url: '/kaohe/type',
    method: 'post',
    data: data
  })
}

// 修改考核类型
export function updateType(data) {
  return request({
    url: '/kaohe/type',
    method: 'put',
    data: data
  })
}

// 删除考核类型
export function delType(id) {
  return request({
    url: '/kaohe/type/' + id,
    method: 'delete'
  })
}
